Skip to main content
POST
/
user
/
tokens
Regenerate Authenticated User Tokens
curl --request POST \
  --url https://api.xplenty.com/{account_id}/api/user/tokens \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": 123,
  "name": "<string>",
  "email": "jsmith@example.com",
  "avatar_url": "<string>",
  "api_key": "<string>",
  "time_zone": "<string>",
  "location": "<string>",
  "confirmed": true,
  "confirmed_at": "2023-11-07T05:31:56Z",
  "notifications_count": 123,
  "unread_notifications_count": 123,
  "notification_settings": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "html_url": "<string>",
  "last_login": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Response

200 - application/vnd.xplenty+json; version=2

Tokens regenerated

id
integer
name
string
email
string<email>
avatar_url
string<uri>
api_key
string
time_zone
string
location
string
confirmed
boolean
confirmed_at
string<date-time> | null
notifications_count
integer
unread_notifications_count
integer
notification_settings
object
created_at
string<date-time>
updated_at
string<date-time>
url
string<uri>
html_url
string<uri>
last_login
string<date-time> | null
Last modified on April 15, 2026